Skip to main content
`Ctrl`+`K`

# scipy.special.chndtr

scipy.special.chndtr(x, df, nc, out=None) = <ufunc 'chndtr'>

  Non-central chi square cumulative distribution function

  The cumulative distribution function is given by:

  \[P(\chi^{\prime 2} \vert \nu, \lambda) =\sum_{j=0}^{\infty} e^{-\lambda /2} \frac{(\lambda /2)^j}{j!} P(\chi^{\prime 2} \vert \nu + 2j),\]

  where \(\nu > 0\) is the degrees of freedom (`df`) and \(\lambda \geq 0\) is the non-centrality parameter (`nc`).

  Parameters:
    x array_like

      Upper bound of the integral; must satisfy `x >= 0`

    df array_like

      Degrees of freedom; must satisfy `df > 0`

    nc array_like

      Non-centrality parameter; must satisfy `nc >= 0`

    out ndarray, optional

      Optional output array for the function results

  Returns:
    x scalar or ndarray

      Value of the non-central chi square cumulative distribution function.

  See also

  `chndtrix`, `chndtridf`, `chndtrinc`